      subroutine atom_weight
      use constants
      use variables

      do i=1,n
         if (potential_func=='Shellmodel') then
            if ((asp(i)=='Pb').or.(asp(i)=='pb')) then
               if (i.le.n/2) wm(i)=am*207.2d0 ! Core
               if (i.gt.n/2) wm(i)=am*207.2d0 ! Shell
            else if ((asp(i)=='Ti').or.(asp(i)=='ti')) then
               if (i.le.n/2) wm(i)=am*47.90d0 ! Core
               if (i.gt.n/2) wm(i)=am*47.90d0 ! Shell
            else if ((asp(i)=='O ').or.(asp(i)=='o ')) then
               if (i.le.n/2) wm(i)=am*15.9994d0 ! Core
               if (i.gt.n/2) wm(i)=am*15.9994d0 ! Shell
            endif
         else
            if ((asp(i)=='Pb').or.(asp(i)=='pb')) then
               if (i.le.n/2) wm(i)=am*207.2d0
            else if ((asp(i)=='Ti').or.(asp(i)=='ti')) then
               if (i.le.n/2) wm(i)=am*47.90d0
            else if ((asp(i)=='O ').or.(asp(i)=='o ')) then
               if (i.le.n/2) wm(i)=am*15.9994d0
            else if ((asp(i)=='C ').or.(asp(i)=='c ')) then
               wm(i)=am*12.01d0
            else if ((asp(i)=='Cu').or.(asp(i)=='cu')) then
               wm(i)=am*63.55d0
            else if ((asp(i)=='Al').or.(asp(i)=='al')) then
               wm(i)=am*26.982d0
            else if ((asp(i)=='Si').or.(asp(i)=='si')) then
               wm(i)=am*28.086d0
            else if ((asp(i)=='Ge').or.(asp(i)=='ge')) then
               wm(i)=am*72.59d0
            else if ((asp(i)=='Cr').or.(asp(i)=='cr')) then
               wm(i)=am*52.00d0
            else if ((asp(i)=='Fe').or.(asp(i)=='fe')) then
               wm(i)=am*55.85d0
            else if ((asp(i)=='Ni').or.(asp(i)=='ni')) then
               wm(i)=am*58.71d0
            else if ((asp(i)=='Ag').or.(asp(i)=='ag')) then
               wm(i)=am*107.87d0
            else if ((asp(i)=='Au').or.(asp(i)=='au')) then
               wm(i)=am*196.97d0
            else if ((asp(i)=='Pd').or.(asp(i)=='pd')) then
               wm(i)=am*106.40d0
            else if ((asp(i)=='Sn').or.(asp(i)=='sn')) then
               wm(i)=am*118.69d0
            else if ((asp(i)=='W ').or.(asp(i)=='w ')) then
               wm(i)=am*183.85d0
            else if ((asp(i)=='Pt').or.(asp(i)=='pt')) then
               wm(i)=am*195.09d0
            else if ((asp(i)=='H ').or.(asp(i)=='h ')) then
               wm(i)=am*1.0079d0
               ! Shell model
            else
               print *, 'Atom weight is not set. Please edit <atom_weight.f90>'
               stop
            endif
         endif
      enddo
      wmave=0.0d0
      do i=1,n
         wmave=wmave+wm(i)
      enddo
      wmave=wmave/dble(n)
      end
